Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libdbusmenu
#Epoch:		0
Version:	0.2.7
Release:	1
License:	GNU GPL v3, GNU LGPL v2.1, GNU LGPL v3
URL:		https://launchpad.net/dbusmenu
Group:		System/Libraries
Summary:	common code librarie for (lib)indicator
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: dbus-devel
BuildRequires: vala-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gir-repository-devel
BuildRequires: libffi-devel


#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: coreutils
BuildRequires: dbus-glib-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: json-glib-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
A small little library that was created by pulling out some comon code out of indicator-applet. It passes a menu structure across DBus so that a program can create a menu simply without worrying about how it is displayed on the other side of the bus.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--enable-introspection 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# sttrip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}exec/dbusmenu-bench
%{_libdir}exec/dbusmenu-dumper
%{_libdir}exec/dbusmenu-testapp
%{_libdir}/libdbusmenu-glib.so.*
%{_libdir}/libdbusmenu-gtk.so.*
%{_datadir}/libdbusmenu/json/test-gtk-label.json
%{_datadir}/gir-1.0/DbusmenuGlib-0.2.gir
%{_datadir}/gir-1.0/DbusmenuGtk-0.2.gir
%{_datadir}/vala/vapi/DbusmenuGlib-0.2.vapi
%{_datadir}/vala/vapi/DbusmenuGtk-0.2.vapi
%{_libdir}/girepository-1.0/DbusmenuGlib-0.2.typelib
%{_libdir}/girepository-1.0/DbusmenuGtk-0.2.typelib


%files devel
%defattr(-,root,root)
%{_includedir}/libdbusmenu-0.1
%{_libdir}/libdbusmenu-glib.a
%{_libdir}/libdbusmenu-glib.la
%{_libdir}/libdbusmenu-glib.so
%{_libdir}/libdbusmenu-gtk.a
%{_libdir}/libdbusmenu-gtk.la
%{_libdir}/libdbusmenu-gtk.so
%{_pkgconfig}/dbusmenu-glib.pc
%{_pkgconfig}/dbusmenu-gtk.pc
%{_docdir}/libdbusmenu/examples/glib-server-nomenu.c
%{_docdir}/libdbusmenu/README.dbusmenu-bench

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Mar 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.7-1
- Version Update
* Tue Feb 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.4-1
- initial CCux package release
